GNU bug report logs - #48079
Temporary files while building after native-comp merge

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Wed, 28 Apr 2021 11:11:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 6 May 2021 10:12:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 06:12:06 2021
Received: from localhost ([127.0.0.1]:37199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leazF-0003yO-UF
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 06:12:06 -0400
Received: from mx.sdf.org ([205.166.94.24]:49244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leazE-0003yI-1W
 for 48079 <at> debbugs.gnu.org; Thu, 06 May 2021 06:12:05 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 146AC2bv007464
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 6 May 2021 10:12:02 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN> <83sg312xe1.fsf@HIDDEN>
 <875yzx73f4.fsf@HIDDEN> <83mtt92sap.fsf@HIDDEN>
 <xjfczu5uul9.fsf@HIDDEN> <87y2csz0iy.fsf@HIDDEN>
Date: Thu, 06 May 2021 10:12:02 +0000
In-Reply-To: <87y2csz0iy.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 06 May 2021 11:15:01 +0200")
Message-ID: <xjfa6p8tbm5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, stefan@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>>>> So is it writing the subr.elc0EdJIV file, then doing the .eln
>>>> compilation, and then moving subr.elc0EdJIV to subr.elc?
>>>
>>> Yes, I think so.
>>
>> Confirm.
>
> Again, I haven't actually looked at the code, so this is totally
> uninformed -- but do we have to write the subr.elc0EdJIV file before
> doing the .eln compilation?  Can't the .eln compilation work off of the
> contents of a buffer instead?

I think it should be possible, ATM is still the byte-complier saving the
.elc buffer and we delay just the final renaming in comp.el, we could
delay the buffer being saved and do it too after the .eln is produced.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 6 May 2021 09:15:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 05:15:18 2021
Received: from localhost ([127.0.0.1]:37100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lea6H-0005aI-Kt
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 05:15:18 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lea6E-0005Qz-1U
 for 48079 <at> debbugs.gnu.org; Thu, 06 May 2021 05:15:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3TWOPav/J9eyODCqO0UXcrdvOAbXjwqRmKaZfQ/G4og=; b=O6TDLBnwZeWKUnXBT1bsLIGdDl
 5TkI8U+Qn/Z3sQ4RjNd7htreoluz1w1jZ46Icox1m2mpoqjkCt6lXr6HqRfCBxVhMyIG06HhfLIVy
 zDQ3EghaCSXpH8SwLKn23r8B2sl3qFCNFCZGwgLRrXt0QSLzlXN7KYQR4RgAj3M6SJrM=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lea62-0005J5-EX; Thu, 06 May 2021 11:15:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN> <83sg312xe1.fsf@HIDDEN>
 <875yzx73f4.fsf@HIDDEN> <83mtt92sap.fsf@HIDDEN>
 <xjfczu5uul9.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUyNzg9QUM5PkEt
 MjUnLC9dX2HRzs6wr6/Av75MT1Ftb3CQkZHp5uV+gID///9zwziWAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+UFBgg1JPf3h+IAAAF0SURBVDjLrZQ/T4NAGMavvl26iU52UvkCr56adDMpDMXFpQNOTnXQ
 wZgUkuqscy1Li4ODmrS42oF2lZiUT+CnEXr8uTtg8x0IvD+ee+457iA1RVF2iVwbCvdA14XiG5C0
 KRXaeVPQQNqnyK4oC6jsIgFaMhS7rxAAigIkWzVlfw8KFnrP6tmP9gi4cGtg3C/6vhUBlEG/S9xl
 GQias+u57RRyGOHtwdP7QxkIdkw3dEBeEiNc1T9uAgeKisv6ZyiAxDx83X4J46GktTJWp+REVLDk
 xreGZ4EVASmHfjV5O/ZsJwuIKbBn04n9pWY5MuB3ZxfzO7XwzfVpY+CNz1UuH3PvTDeXPyZRs9li
 IuksBk3/EGOAInDchT8kvDkDreeG92sOBZBEBE1jX59FQX7/8BsrVxQ2nCzhD0IVwNgxWlYKFOQj
 0jLHw3FU3RGIIJ0HAUmR2yDKAjY3oAVASqw5EamoSlLi8B9V+hch5EhLqt0Wsv8BKqKedXq3OdkA
 AAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDUtMDZUMDg6NTM6MzYrMDA6MDBbkxCZAAAAJXRFWHRk
 YXRlOm1vZGlmeQAyMDIxLTA1LTA2VDA4OjUzOjM2KzAwOjAwKs6oJQAAAABJRU5ErkJggg==
X-Now-Playing: Zola Jesus's _New Amsterdam_: "Lady Maslenitsa"
Date: Thu, 06 May 2021 11:15:01 +0200
In-Reply-To: <xjfczu5uul9.fsf@HIDDEN> (Andrea Corallo's message of "Wed, 05
 May 2021 14:24:34 +0000")
Message-ID: <87y2csz0iy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: >>> So is it writing
 the subr.elc0EdJIV file, then doing the .eln >>> compilation, and then moving
 subr.elc0EdJIV to subr.elc? >> >> Yes, I think so. > > Confirm. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, stefan@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

>>> So is it writing the subr.elc0EdJIV file, then doing the .eln
>>> compilation, and then moving subr.elc0EdJIV to subr.elc?
>>
>> Yes, I think so.
>
> Confirm.

Again, I haven't actually looked at the code, so this is totally
uninformed -- but do we have to write the subr.elc0EdJIV file before
doing the .eln compilation?  Can't the .eln compilation work off of the
contents of a buffer instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 5 May 2021 14:24:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:24:41 2021
Received: from localhost ([127.0.0.1]:60565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leIS9-0004LB-5i
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 10:24:41 -0400
Received: from mx.sdf.org ([205.166.94.24]:60873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leIS4-0004L5-QW
 for 48079 <at> debbugs.gnu.org; Wed, 05 May 2021 10:24:40 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145EOYhV018361
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 14:24:35 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN> <83sg312xe1.fsf@HIDDEN>
 <875yzx73f4.fsf@HIDDEN> <83mtt92sap.fsf@HIDDEN>
Date: Wed, 05 May 2021 14:24:34 +0000
In-Reply-To: <83mtt92sap.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 May
 2021 17:01:34 +0300")
Message-ID: <xjfczu5uul9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, stefan@HIDDEN,
 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: stefan@HIDDEN,  akrl@HIDDEN,  48079 <at> debbugs.gnu.org
>> Date: Wed, 05 May 2021 14:47:43 +0200
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> >> I guess we can't set up a signal trap to delete the temp file if we're
>> >> being interrupted?
>> >
>> > You mean, in the Makefile?  That won't handle the cases where the
>> > compilation is manually invoked (e.g., from a running Emacs).
>> 
>> I'm not actually sure -- I don't know what the possibilities at our
>> disposal are here, really.  If we can catch this in Emacs, that'd be
>> nicer...  but can we?
>
> With complicated enough code, sure, we could.
>
>> Another thing I'm wondering about is why we write the subr.elc0EdJIV
>> file at all, and then apparently don't rename it to .elc immediately?
>> It seems to linger on in that name for a very long time?  But I haven't
>> actually looked at the code here.
>
> AFAIR, we rename it atomically when we are done with it.  I guess with
> native-compilation it takes longer to "be done with it".

Exactly, we can't rename before the native compilation is done as native
compilation is a side product of byte compilation and the build system
knows only the latter.

>> So is it writing the subr.elc0EdJIV file, then doing the .eln
>> compilation, and then moving subr.elc0EdJIV to subr.elc?
>
> Yes, I think so.

Confirm.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 5 May 2021 14:02:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:02:05 2021
Received: from localhost ([127.0.0.1]:60440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leI6H-00047A-Ai
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 10:02:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leI6F-00046l-9s
 for 48079 <at> debbugs.gnu.org; Wed, 05 May 2021 10:02:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44971)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leI69-0007QG-PS; Wed, 05 May 2021 10:01:57 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1891
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leI5z-0001gI-Jj; Wed, 05 May 2021 10:01:49 -0400
Date: Wed, 05 May 2021 17:01:34 +0300
Message-Id: <83mtt92sap.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <875yzx73f4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 May 2021 14:47:43 +0200)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN> <83sg312xe1.fsf@HIDDEN>
 <875yzx73f4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: 48079 <at> debbugs.gnu.org, stefan@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: stefan@HIDDEN,  akrl@HIDDEN,  48079 <at> debbugs.gnu.org
> Date: Wed, 05 May 2021 14:47:43 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> I guess we can't set up a signal trap to delete the temp file if we're
> >> being interrupted?
> >
> > You mean, in the Makefile?  That won't handle the cases where the
> > compilation is manually invoked (e.g., from a running Emacs).
> 
> I'm not actually sure -- I don't know what the possibilities at our
> disposal are here, really.  If we can catch this in Emacs, that'd be
> nicer...  but can we?

With complicated enough code, sure, we could.

> Another thing I'm wondering about is why we write the subr.elc0EdJIV
> file at all, and then apparently don't rename it to .elc immediately?
> It seems to linger on in that name for a very long time?  But I haven't
> actually looked at the code here.

AFAIR, we rename it atomically when we are done with it.  I guess with
native-compilation it takes longer to "be done with it".

> So is it writing the subr.elc0EdJIV file, then doing the .eln
> compilation, and then moving subr.elc0EdJIV to subr.elc?

Yes, I think so.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 5 May 2021 12:48:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 08:48:00 2021
Received: from localhost ([127.0.0.1]:59947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leGwa-0002yn-4Q
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 08:48:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leGwX-0002yh-Lu
 for 48079 <at> debbugs.gnu.org; Wed, 05 May 2021 08:47:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oJorjZqIHT9lljHQ4Q4sQFlpWMDN24IuYauMEpneWWY=; b=T5VVsFqFOOEYMKLIVRJ5S25e/b
 DAqVCow1iKsgXVuW/mxptU+DYEv3PHGXWy0G08tF5a4JttuaTpFamoYvXZER8XYKfkgbA3ZYUqcGg
 j1jg1PywbisEpIfPB2P/nWo+B9iZNYwp+BXrAaxS4RKG0F2MONbkyI8OMD0FmX64MDrs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leGwJ-0000ou-Sn; Wed, 05 May 2021 14:47:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN> <83sg312xe1.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEXx+CH1+BzrOyHQ
 sTHa1iFgkLBFTkIzODP///+jA/pfAAAAAWJLR0QIht6VegAAAAd0SU1FB+UFAg0xHUU3n1IAAAGd
 SURBVDjLhZNdloIwDIUTYAEpsgANXYDTgs+KdQm4Ac/BHcj2Jy3lV2fsA3Dul5ukNAVUqwXTWuuK
 AP8FGADnhg+GWXOZH4DZ8H5wMOdlydZo5kaANWUZgc4PzDbROjceJPsZcCkZBLBP1bCeUvGBIde6
 MXvgLJlqNEaLQ4pzIi+xxlR2Z3+sYXu01c6WxlyP9n0fitRmg/jtlxBtAAHh8NoAEIBqiscZoJTB
 0YDFwiEGoKE8Fm0EKLHy8PEU9PvoQCJF6Etg0HtQi/4xNOv15wzk6MTj29x5vV+mUuFA06CPQBTZ
 n5iu9aCPwCeSNEXbSl2/unXxetItxN8aQDHrFaj0EgFS3T5H/SxF00qFAZP4ru9ffddZd/b9CZFj
 kzYl/tWJHHRfnFIH6ta2JwnuQhpwLnRFmbu1D+tOQZfoLAIs6vZROSck6GKIjvpu/TcU1oW+o4Pq
 WE9OERaAbKi3XAO4VgTbFVPBJ4Cr8ZtzwWYwvwGIgP4GW5RFQMO4Lvk0Jf6k4NP9kDkcJuIN+C0t
 ck1Xj0CtgLvMF2TZ2i8KZGgYq1YUBAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNS0wMlQxMzo0
 OToyOSswMDowMBkqPbUAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDUtMDJUMTM6NDk6MjkrMDA6
 MDBod4UJAAAAAElFTkSuQmCC
X-Now-Playing: Kreidler's _Flood_: "Celeration"
Date: Wed, 05 May 2021 14:47:43 +0200
In-Reply-To: <83sg312xe1.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 May
 2021 15:11:34 +0300")
Message-ID: <875yzx73f4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> I guess we can't set
 up a signal trap to delete the temp file if we're >> being interrupted? >
 > You mean,
 in the Makefile? That won't handle the cases where the > compilation
 is manually invoked ( [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: 48079 <at> debbugs.gnu.org, stefan@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I guess we can't set up a signal trap to delete the temp file if we're
>> being interrupted?
>
> You mean, in the Makefile?  That won't handle the cases where the
> compilation is manually invoked (e.g., from a running Emacs).

I'm not actually sure -- I don't know what the possibilities at our
disposal are here, really.  If we can catch this in Emacs, that'd be
nicer...  but can we?

Another thing I'm wondering about is why we write the subr.elc0EdJIV
file at all, and then apparently don't rename it to .elc immediately?
It seems to linger on in that name for a very long time?  But I haven't
actually looked at the code here.

It's easy to reproduce the behaviour here:

touch lisp/subr.el
make
wait a few seconds
C-c C-c a few times

and then you have a subr.elc0EdJIV file or two.

So is it writing the subr.elc0EdJIV file, then doing the .eln
compilation, and then moving subr.elc0EdJIV to subr.elc?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 5 May 2021 12:11:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 08:11:54 2021
Received: from localhost ([127.0.0.1]:59764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leGNd-0002b0-Qu
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 08:11:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leGNc-0002at-0U
 for 48079 <at> debbugs.gnu.org; Wed, 05 May 2021 08:11:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42923)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leGNW-00034O-GM; Wed, 05 May 2021 08:11:46 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2951
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leGNU-0003Z0-Ra; Wed, 05 May 2021 08:11:45 -0400
Date: Wed, 05 May 2021 15:11:34 +0300
Message-Id: <83sg312xe1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v97x7f49.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 May 2021 10:35:02 +0200)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 <87v97x7f49.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: 48079 <at> debbugs.gnu.org, stefan@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Andrea Corallo <akrl@HIDDEN>,  Eli Zaretskii <eliz@HIDDEN>,
>   48079 <at> debbugs.gnu.org
> Date: Wed, 05 May 2021 10:35:02 +0200
> 
> I guess we can't set up a signal trap to delete the temp file if we're
> being interrupted?

You mean, in the Makefile?  That won't handle the cases where the
compilation is manually invoked (e.g., from a running Emacs).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 5 May 2021 08:35:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 04:35:14 2021
Received: from localhost ([127.0.0.1]:58611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leCzy-0006BJ-Dy
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 04:35:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leCzw-0006B9-NK
 for 48079 <at> debbugs.gnu.org; Wed, 05 May 2021 04:35:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kqmGe2+a7sCG6fIFBnT8SApTTviG7V6oVwDwFlnEK2Q=; b=JZHsaMp7U9e19Ul2TSDF8IyEUi
 6D5MS8mhWJF7hRV2n1M9Z0ONosLedtSEiuNnB6TUpIanO83JoXvaozW4BNzH7C9HjEnGkUeFO/8AP
 xfZGFx3Zw2mOG4u17dmVPm+gI9x3CESWmKyYJQVBJh4e9f6BqEx+MbisaA2KDqfjyLPs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leCzm-0006hP-Ot; Wed, 05 May 2021 10:35:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEX58u7Irq91bYUk
 FBb///9XP3FsAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UFAggqJLXPHisAAAF/SURBVDjLtZNrcsUg
 CIXBbEB0A4IbiLL/vRXQJG1v+rMkM3H4wsujAP9p9O4uxJRf/NiJkd8CZmUs7TN/V2Uq09eekGit
 kETV/MoM+ADyR4SK6txlLiBEVIpFqexeokNCFRZxv94RBlAsh3YNG1EbN6h624wNuID/PTe5QHMQ
 OXauPcYD2s63apcH5HqnQptX+COCvMJ3gH2SwRjW/BeYoQUamOJGvOaQrVH3iAAxB85bLqtBniwA
 g166VAVeZIHe9kbXVfwBA/BbhJsnFuhXkaiBD6iaMdY+oMm5dpcEirZoGAOY8Y7IesYhSD55kdiQ
 BfpAD+kOzC2cNzjUVy4x+En1aEsmOScT2+fu16hojw2araqYwrNsUHuTpLNrW2I0qCEt1Hz2g+dM
 S3EbMzlAA0Mq0AnjMFFWk1Z6gSPjwJHsgC6xYjsqjJ70tBqQ2Bu775G9uXARj+/n+yXE8uMKRg/r
 +3pr8f7t9x3c+IMsB+EfIONrW6YbfBLM4noifAGZ+kMHzQ97zgAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMS0wNS0wMlQwODo0MjozNSswMDowMJAG8n0AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDUt
 MDJUMDg6NDI6MzUrMDA6MDDhW0rBAAAAAElFTkSuQmCC
X-Now-Playing: Nico's _Do Or Die_: "audio_14.mp3"
Date: Wed, 05 May 2021 10:35:02 +0200
In-Reply-To: <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 (Stefan Kangas's message of "Sun, 2 May 2021 05:12:24 -0500")
Message-ID: <87v97x7f49.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > But now I am
 seeing
 that some of these files have not been deleted in my > tree: > >
 lisp/emacs-lisp/comp.elcivrXZS
 > lisp/window.elc9aaVMg > > This might be because I interrupted the build
 process [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> But now I am seeing that some of these files have not been deleted in my
> tree:
>
>     lisp/emacs-lisp/comp.elcivrXZS
>     lisp/window.elc9aaVMg
>
> This might be because I interrupted the build process at some point; I
> don't know.

I got this, too (several copies of comp.elc<random>), and I was
momentarily confused -- but then I remembered that I had `C-c'd the
compilation.  Since it takes so long to build these files now, that's
probably be a common occurrence.

I guess we can't set up a signal trap to delete the temp file if we're
being interrupted?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 2 May 2021 21:36:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 17:36:08 2021
Received: from localhost ([127.0.0.1]:44877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ldJl2-0003Fz-2z
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 17:36:08 -0400
Received: from mx.sdf.org ([205.166.94.24]:51239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ldJl0-0003Fs-9E
 for 48079 <at> debbugs.gnu.org; Sun, 02 May 2021 17:36:07 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 142La4PP009530
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 2 May 2021 21:36:05 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
Date: Sun, 02 May 2021 21:36:04 +0000
In-Reply-To: <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 (Stefan Kangas's message of "Sun, 2 May 2021 05:12:24 -0500")
Message-ID: <xjf5z00x1h7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> tags 48079 - patch
> thanks
>
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Stefan Kangas <stefan@HIDDEN> writes:
>>
>>> But perhaps the fix is as simple as:
>>>
>>> diff --git a/.gitignore b/.gitignore
>>> index fcbc9cd7f4..e27ebe36d0 100644
>>> --- a/.gitignore
>>> +++ b/.gitignore
>>> @@ -135,6 +135,7 @@ src/gl-stamp
>>>  *.dll
>>>  *.core
>>>  *.elc
>>> +*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
>>>  *.eln
>>>  *.o
>>>  *.res
>>
>> Sounds like a good idea to me.  (But add a comment about what these
>> files are.)
>
> Thanks.
>
> But now I am seeing that some of these files have not been deleted in my
> tree:
>
>     lisp/emacs-lisp/comp.elcivrXZS
>     lisp/window.elc9aaVMg
>
> This might be because I interrupted the build process at some point; I
> don't know.
>
> These files don't get removed when I run extraclean or bootstrap.  So if
> we just ignore them there is a risk that these files will slowly build
> up over time.
>
> Perhaps we should also make sure they get cleaned up when building, as
> in the attached.

I'm not sure is correct to do that in compile-clean, if there's really a
problem IMO we should isolate it and debug, IIUC having this in
compile-clean could just mask it.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 2 May 2021 10:18:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 06:18:49 2021
Received: from localhost ([127.0.0.1]:42019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld9BZ-0003Fc-Jt
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 06:18:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ld9BX-0003FW-Fr
 for 48079 <at> debbugs.gnu.org; Sun, 02 May 2021 06:18:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=r5Y2c7cEy1vXdDVJosRWNG/dZJ9uld8iA5buMSBNez8=; b=ayKLaqEwMwf2FRB/2GsSqpMkZo
 ILPkChl5dYAGZixPGW2yWTWU1gr/pZGHSvJZI373U43bFDDh/yRcYqfMQvcPQmAD2bm3bDOyuXlls
 5LDnjuWYxf8KfXznah6PPcZ/INOOoxCVD69HfcyF9Yrx6Sr63y/Y9r4ZhzMZ8gMoVHFI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ld9BL-0005QV-Hi; Sun, 02 May 2021 12:18:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
 <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVCNI4rIVgpGTEX
 FSpZIkDEMFL///9y6DShAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UFAgoQFLU7JJAAAAG2SURBVDjL
 dZRRcuMwCIZxmwMIuwewUXIAo/Z9o8jvnV37/lcpIOE4TVYzmRH/h0H60QQA+7f0e9EEEBDfW0S7
 fh0BesaowZlyydl0zjQDdIgWnc+ZHJSMIKv/3UFA0B5PrdOVJP+FnqYJEIYXgMdudMBy2Huz8Q12
 wCncvw5w8oCiXLaTBAvkGhAdhBAEWIhRjsvuB3QBIhmY4rwDVtB5Py3MbpyY41td4JbyUkrJLh9B
 JvHXZQH7pSR721Y2FY+gnDdZtwrwAFRev7Z/ok+IvQOmRQFvUUw7ACn9qeBm0YyI0GSiywawttm2
 L+pJlm+A8ieZjxVUnUadfzN7UlB1KSyOQte1WhFE7ElNRbW3w8FqTWKJXMbMRn1LDjiC6uYX6hmx
 F1kBQ0+RFTCcMHxEzdeG1kMr8fwN18g3Ha7mzVALsVx8jUkAR5u7NKc2tEWy+a8AtrnXV6L1PrXg
 WnsrcK9iSQaovScHNsEXIGlfA+kByO9iIKtPww40a7HNzab0AIpvxJnhDvw9Ns92cFz/A/xQKvED
 sOb1f2HGHqOMBu1RqQQd+UsasJbfQXzqbj1OT2ASQPQDCOvB1J/t6oAAAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjEtMDUtMDJUMTA6MTY6MjArMDA6MDCxJONnAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIx
 LTA1LTAyVDEwOjE2OjIwKzAwOjAwwHlb2wAAAABJRU5ErkJggg==
X-Now-Playing: Juana Molina's _Forfun_: "Un Dia PUnk"
Date: Sun, 02 May 2021 12:18:35 +0200
In-Reply-To: <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
 (Stefan Kangas's message of "Sun, 2 May 2021 05:12:24 -0500")
Message-ID: <87zgxdfngk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > These files don't
 get removed when I run extraclean or bootstrap. So if > we just ignore them
 there is a risk that these files will slowly build > up over time. > > Perhaps
 we should also make sure [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> These files don't get removed when I run extraclean or bootstrap.  So if
> we just ignore them there is a risk that these files will slowly build
> up over time.
>
> Perhaps we should also make sure they get cleaned up when building, as
> in the attached.

Makes sense to me.

> Another alternative, arguably more correct, would be to figure out
> exactly under which circumstances these files gets left over and delete
> them there.  (There is a let-bound `kill-emacs-hook' in
> `byte-compile-file', which might be a good place to start looking.)
> What makes this a bit tricky is that this is somewhat hard to reproduce.

Bug#48141 is about this problem, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 2 May 2021 10:12:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 06:12:34 2021
Received: from localhost ([127.0.0.1]:41990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld95V-00013I-Mn
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 06:12:34 -0400
Received: from mail-pg1-f179.google.com ([209.85.215.179]:46613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ld95T-000133-1q
 for 48079 <at> debbugs.gnu.org; Sun, 02 May 2021 06:12:32 -0400
Received: by mail-pg1-f179.google.com with SMTP id q9so1658407pgl.13
 for <48079 <at> debbugs.gnu.org>; Sun, 02 May 2021 03:12:31 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=/tmhCYkw6SaXm3plkf04YxG1yBBCpMmXOTBbawswTTQ=;
 b=Jzjnaq6Mex1gunuFZJzdDlD5hG1Uq9A1umtiiTWqi7/AH6IsspbL6t4PAIf9Oh7SE5
 0wZ+6K9M/1iAvs6YLbalVr+ZJRhVqLKoBSDugbQUlU1Tr/wIO53bck/4BFxvn75rSW4X
 acnU7ObQmN1FMQmPGBApL3JZJ28mWes425QIGKGNGMwOm94kmiVFUgoNyIdzgdMX0HSb
 HrizBLMDn1WQoAlqu9gIjhAshpBtYr45O2Xdn/67HxLjFU70QXrRqUeezSe0sTbS9jqn
 eTLqAbKlqn5eHoKrH/qhgkggTvP/37yIUDlE79BZUbtxF62jmD5WgEVNOTkskbJkuE1r
 wn2Q==
X-Gm-Message-State: AOAM531nza1JPVXrWJvQHUQmpswgqwyQrjrDJdRLSPwKD+06Lx1F6tXM
 rIu58CF80T+/CIOYhyJQpvcaw7zjHhp+11sm0i4=
X-Google-Smtp-Source: ABdhPJxKQ4ukJZa/AiXAb/Uyw8EmrywmBlTmA670spO72WvAx16+f+CQJwIyVgg2LAjq9S6p/OSDy3SDbxXnFJ3dGH4=
X-Received: by 2002:a65:6386:: with SMTP id h6mr11130765pgv.67.1619950345236; 
 Sun, 02 May 2021 03:12:25 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 2 May 2021 05:12:24 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87r1ipimla.fsf@HIDDEN>
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <87r1ipimla.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 2 May 2021 05:12:24 -0500
Message-ID: <CADwFkmkr9FwgXfp7rHZV1OOsHA58YQ_y=EuvHEb24u+C95o7Qg@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000e2c2d605c15614d8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000e2c2d605c15614d8
Content-Type: text/plain; charset="UTF-8"

tags 48079 - patch
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> But perhaps the fix is as simple as:
>>
>> diff --git a/.gitignore b/.gitignore
>> index fcbc9cd7f4..e27ebe36d0 100644
>> --- a/.gitignore
>> +++ b/.gitignore
>> @@ -135,6 +135,7 @@ src/gl-stamp
>>  *.dll
>>  *.core
>>  *.elc
>> +*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
>>  *.eln
>>  *.o
>>  *.res
>
> Sounds like a good idea to me.  (But add a comment about what these
> files are.)

Thanks.

But now I am seeing that some of these files have not been deleted in my
tree:

    lisp/emacs-lisp/comp.elcivrXZS
    lisp/window.elc9aaVMg

This might be because I interrupted the build process at some point; I
don't know.

These files don't get removed when I run extraclean or bootstrap.  So if
we just ignore them there is a risk that these files will slowly build
up over time.

Perhaps we should also make sure they get cleaned up when building, as
in the attached.

Another alternative, arguably more correct, would be to figure out
exactly under which circumstances these files gets left over and delete
them there.  (There is a let-bound `kill-emacs-hook' in
`byte-compile-file', which might be a good place to start looking.)
What makes this a bit tricky is that this is somewhat hard to reproduce.

--000000000000e2c2d605c15614d8
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Delete-temporary-.elcXXXXXX-files-created-when-compi.patch"
Content-Disposition: attachment; 
	filename="0001-Delete-temporary-.elcXXXXXX-files-created-when-compi.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 377026a40a13826e_0.1
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--000000000000e2c2d605c15614d8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 2 May 2021 08:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 04:09:17 2021
Received: from localhost ([127.0.0.1]:41366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld7AD-0005uN-Kt
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 04:09:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ld7AB-0005uH-Nk
 for 48079 <at> debbugs.gnu.org; Sun, 02 May 2021 04:09:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DNj/jeP2pikKlNcke0KgtCmpSdw/rDgg7+tm1Q8cx1k=; b=LEPeH238epBp99WJrreCKMofhQ
 Odv3IoVM1wTvKT9+DPsjXCyepyVVObxUFDA6dAiq1q4/xUtSeH+2JlI4vSz2h+HKX05YRAFciZTO2
 iZWl+fvUxrkb2YKEjR0jOKsN7wFCIXoGwnPNTE8Osy/Kit+6gZT03Ej9oU34AAb2O8gA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ld7A1-0004CX-Ib; Sun, 02 May 2021 10:09:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
X-Now-Playing: Burial Hex's _Burial Hex - Zola Jesus_: "Temple of the Flood"
Date: Sun, 02 May 2021 10:09:05 +0200
In-Reply-To: <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 (Stefan Kangas's message of "Wed, 28 Apr 2021 16:26:30 -0500")
Message-ID: <87r1ipimla.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > But perhaps the
 fix is as simple as: > > diff --git a/.gitignore b/.gitignore > index
 fcbc9cd7f4..e27ebe36d0
 100644 > --- a/.gitignore > +++ b/.gitignore > @@ -135, 6 +135,
 7 @@ src/gl-stamp > *.dll > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> But perhaps the fix is as simple as:
>
> diff --git a/.gitignore b/.gitignore
> index fcbc9cd7f4..e27ebe36d0 100644
> --- a/.gitignore
> +++ b/.gitignore
> @@ -135,6 +135,7 @@ src/gl-stamp
>  *.dll
>  *.core
>  *.elc
> +*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
>  *.eln
>  *.o
>  *.res

Sounds like a good idea to me.  (But add a comment about what these
files are.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 11:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 07:22:22 2021
Received: from localhost ([127.0.0.1]:54956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc4kQ-0001RA-9y
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 07:22:22 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:33362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lc4kN-0001Qt-16
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 07:22:20 -0400
Received: by mail-pf1-f179.google.com with SMTP id h11so6231591pfn.0
 for <48079 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 04:22:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=8AfLmvPy/Xz9JNg7sbq5KuqpuWQBq4nSC0HcC6QZP30=;
 b=gt5UwOWnTpHcRxFurkz9ROyO0vcK4B2DArAOXWlBq6SlX/bfbn7aP76f7SxfiSoYVn
 bn2zLoU1ukZCQ8g1vUXKGm/Omq2GxOb8QiPcWcIBv06aGuoi5igeWsePhgnkDT+JeAwP
 fYk3ysUGlP3gsBikuWZvxB2It+hPBaIPk9eTCZBbOoNcvyFHlArlvlhUUJpJdZZX1a5i
 4Hk2k+2YDjAN1ZPJlMnBYM71ElRbpXbRu2mbUyNpHJ1ixUqyYZ8S3AKFN+XlSJFHDqGq
 sW/4IqxhWxjm+dVK3VCeLwO3GsXKAjDhpQ36Yzew8HODrN4FX7Mkl7C3nDvIoWEw0wNj
 hyhA==
X-Gm-Message-State: AOAM53343AQ6DwcGjFsne2YQFN5OGxgX1FlufqYOOwAKfsPwbgiZflXk
 pNs76PDCQORaRW1VSFCBvjAtFVqJ3hBMrvAVSwQ=
X-Google-Smtp-Source: ABdhPJzr4h6muJM/q4RQ4M9UTMOsPsvhoDXAgcf/y7vFPLj1yENDIxrLSLx6M68Msj9l5HPSjZC04seAwhmj4kSVqKg=
X-Received: by 2002:a63:5b5c:: with SMTP id l28mr31256730pgm.363.1619695333109; 
 Thu, 29 Apr 2021 04:22:13 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 29 Apr 2021 06:22:12 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <xjf7dklzeng.fsf@HIDDEN>
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <83wnslekok.fsf@HIDDEN> <xjf7dklzeng.fsf@HIDDEN>
MIME-Version: 1.0
Date: Thu, 29 Apr 2021 06:22:12 -0500
Message-ID: <CADwFkm=SQ=-ZyB9snWr=v1G3wK1bHOg48bzj6J6dAHUaXSkxsg@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
To: Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48079
Cc: 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andrea Corallo <akrl@HIDDEN> writes:

>> Do you have some kind of auto-revert feature turned on?  If not, how
>> come magit-status even knows these files are created?
>
> I believe he's referring to a new invocation of `magit-status' while
> compilation is happening.

Correct, I run that command manually and on purpose.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 10:16:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 06:16:03 2021
Received: from localhost ([127.0.0.1]:54888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc3iF-0007rA-7v
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 06:16:03 -0400
Received: from mx.sdf.org ([205.166.94.24]:64785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lc3iC-0007qM-5U
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 06:16:01 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13TAFwAV015569
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 29 Apr 2021 10:15:59 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <83wnslekok.fsf@HIDDEN> <xjf7dklzeng.fsf@HIDDEN>
 <83lf91e9bq.fsf@HIDDEN>
Date: Thu, 29 Apr 2021 10:15:58 +0000
In-Reply-To: <83lf91e9bq.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Apr
 2021 12:20:09 +0300")
Message-ID: <xjftunpxuox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: stefan@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: Stefan Kangas <stefan@HIDDEN>, 48079 <at> debbugs.gnu.org
>> Date: Thu, 29 Apr 2021 08:19:31 +0000
>> 
>> > Do you have some kind of auto-revert feature turned on?  If not, how
>> > come magit-status even knows these files are created?
>> 
>> I believe he's referring to a new invocation of `magit-status' while
>> compilation is happening.
>
> Btw, what is the reason that these temporary *.elc files live longer
> with the native compilation?

Yes, essentially just the fact that compilation takes longer.

When we compile Emacs the makefile uses
`batch-byte-native-compile-for-bootstrap' to produce both the .elc and
the .eln.  As the eln is produced as side product of the .elc to have
the makefile dependecy model work we can't rename the .elc before the
.eln is also finished even if we could, otherwise in case of
interruption we may have the .elc produced but not the .eln.

  Andrea

> Does the native compilation need the
> *.elc file for its processing?  If not, perhaps we could rename or
> delete them earlier?
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 09:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 05:20:28 2021
Received: from localhost ([127.0.0.1]:54835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc2qR-0006IQ-TI
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 05:20:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lc2qP-0006ID-6h
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 05:20:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38930)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lc2qJ-0004gL-Px; Thu, 29 Apr 2021 05:20:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4918
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lc2qH-000413-HC; Thu, 29 Apr 2021 05:20:19 -0400
Date: Thu, 29 Apr 2021 12:20:09 +0300
Message-Id: <83lf91e9bq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf7dklzeng.fsf@HIDDEN> (message from Andrea Corallo on Thu, 29
 Apr 2021 08:19:31 +0000)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <83wnslekok.fsf@HIDDEN> <xjf7dklzeng.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: stefan@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Stefan Kangas <stefan@HIDDEN>, 48079 <at> debbugs.gnu.org
> Date: Thu, 29 Apr 2021 08:19:31 +0000
> 
> > Do you have some kind of auto-revert feature turned on?  If not, how
> > come magit-status even knows these files are created?
> 
> I believe he's referring to a new invocation of `magit-status' while
> compilation is happening.

Btw, what is the reason that these temporary *.elc files live longer
with the native compilation?  Does the native compilation need the
*.elc file for its processing?  If not, perhaps we could rename or
delete them earlier?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 08:19:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 04:19:35 2021
Received: from localhost ([127.0.0.1]:54791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc1tW-0004s8-UK
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 04:19:35 -0400
Received: from mx.sdf.org ([205.166.94.24]:60515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lc1tU-0004ry-IM
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 04:19:33 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13T8JVAo012799
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 29 Apr 2021 08:19:32 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 <83wnslekok.fsf@HIDDEN>
Date: Thu, 29 Apr 2021 08:19:31 +0000
In-Reply-To: <83wnslekok.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Apr
 2021 08:14:51 +0300")
Message-ID: <xjf7dklzeng.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Stefan Kangas <stefan@HIDDEN>, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Stefan Kangas <stefan@HIDDEN>
>> Date: Wed, 28 Apr 2021 16:26:30 -0500
>> Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org
>> 
>> Andrea Corallo <akrl@HIDDEN> writes:
>> 
>> > I'm wondering, is it a real issue not to have in .gitignore files that
>> > are showing up temporary?
>> 
>> That depends on your definition of "real issue", I suppose.  ;-)
>> 
>> For me it becomes a real issue because I'm used to be working in the
>> magit-status buffer while compiling, and that buffer shows all
>> uncommitted files at the top and any changes at the bottom.  It is
>> unsettling to have these files show up there occasionally as it makes
>> the changes "jump" up and down.
>
> Do you have some kind of auto-revert feature turned on?  If not, how
> come magit-status even knows these files are created?

I believe he's referring to a new invocation of `magit-status' while
compilation is happening.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 08:18:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 04:18:34 2021
Received: from localhost ([127.0.0.1]:54787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc1sY-0004qT-K2
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 04:18:34 -0400
Received: from mx.sdf.org ([205.166.94.24]:60605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lc1sW-0004qK-Lp
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 04:18:33 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13T8IVEF016130
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 29 Apr 2021 08:18:31 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
Date: Thu, 29 Apr 2021 08:18:31 +0000
In-Reply-To: <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 (Stefan Kangas's message of "Wed, 28 Apr 2021 16:26:30 -0500")
Message-ID: <xjfbl9xzep4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> I'm wondering, is it a real issue not to have in .gitignore files that
>> are showing up temporary?
>
> That depends on your definition of "real issue", I suppose.  ;-)
>
> For me it becomes a real issue because I'm used to be working in the
> magit-status buffer while compiling, and that buffer shows all
> uncommitted files at the top and any changes at the bottom.  It is
> unsettling to have these files show up there occasionally as it makes
> the changes "jump" up and down.

Probably yes :) I use magit while compiling all the time and I never
cared about those files temporary showing up under "Untracked files" (it
can also be collabsed with tab).

> But perhaps the fix is as simple as:
>
> diff --git a/.gitignore b/.gitignore
> index fcbc9cd7f4..e27ebe36d0 100644
> --- a/.gitignore
> +++ b/.gitignore
> @@ -135,6 +135,7 @@ src/gl-stamp
>  *.dll
>  *.core
>  *.elc
> +*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
>  *.eln
>  *.o
>  *.res

FWIW LGTM

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 29 Apr 2021 05:15:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 01:15:13 2021
Received: from localhost ([127.0.0.1]:54592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbz16-0008Vf-Q2
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 01:15:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lbz13-0008VN-8I
 for 48079 <at> debbugs.gnu.org; Thu, 29 Apr 2021 01:15:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35978)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lbz0x-0005TO-P6; Thu, 29 Apr 2021 01:15:03 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1787
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lbz0w-0004ca-JQ; Thu, 29 Apr 2021 01:15:03 -0400
Date: Thu, 29 Apr 2021 08:14:51 +0300
Message-Id: <83wnslekok.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
 (message from Stefan Kangas on Wed, 28 Apr 2021 16:26:30 -0500)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
 <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: 48079 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 28 Apr 2021 16:26:30 -0500
> Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org
> 
> Andrea Corallo <akrl@HIDDEN> writes:
> 
> > I'm wondering, is it a real issue not to have in .gitignore files that
> > are showing up temporary?
> 
> That depends on your definition of "real issue", I suppose.  ;-)
> 
> For me it becomes a real issue because I'm used to be working in the
> magit-status buffer while compiling, and that buffer shows all
> uncommitted files at the top and any changes at the bottom.  It is
> unsettling to have these files show up there occasionally as it makes
> the changes "jump" up and down.

Do you have some kind of auto-revert feature turned on?  If not, how
come magit-status even knows these files are created?

> But perhaps the fix is as simple as:
> 
> diff --git a/.gitignore b/.gitignore
> index fcbc9cd7f4..e27ebe36d0 100644
> --- a/.gitignore
> +++ b/.gitignore
> @@ -135,6 +135,7 @@ src/gl-stamp
>  *.dll
>  *.core
>  *.elc
> +*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
>  *.eln
>  *.o
>  *.res

Fine with me, if no better solution emerges.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 21:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 17:26:38 2021
Received: from localhost ([127.0.0.1]:54234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbrhe-0003FR-LO
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 17:26:38 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:34673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lbrhc-0003FE-PN
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 17:26:37 -0400
Received: by mail-pj1-f44.google.com with SMTP id
 t2-20020a17090a0242b0290155433387beso3798705pje.1
 for <48079 <at> debbugs.gnu.org>; Wed, 28 Apr 2021 14:26:36 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=SkWD2v754tvtG33BneLQ8VAMan5r4RrgedXwuxA+fUM=;
 b=qWP+lX5irXFdMOWE4VredUn1PPJJg7NaFx+U2dnnkNFrnH8xP8sRQFKT4k1bVXhSHu
 GVLF041hhAPG0rsuaPhtVTM7xceZvNz42phHwB7yjWDArEhb0vDiTGQsCRxgPNn58IJa
 RL5ev6HRyglO23QOmiugXWEj6/hCU1BfghtHjNjt7W54Ty1Dlo5wZjsrHioD6+dff+2Z
 emZ10os1bm/b5QAf/CWkrTbtouu9+tY/6b9U2ujsbSiojRlB+hDB7KF3sqzowy6Yn3Hs
 L+5UiJA59EiMNyG2pmLx9sD+x0KYzEQH3ByWKjr2JI1ZAB8EFjxr7Qnbe7576g8ZKB4B
 luIA==
X-Gm-Message-State: AOAM533spMieIZNjReHoj0mQRLnDaXu/AUyw3c//nHJy9NGQErlo9CdF
 bgBejRmALehiI0DQYkSLjdF1363q3Lpdfv5GiBM=
X-Google-Smtp-Source: ABdhPJzT2ZulCG5zqVqbSVNJ89bwcUTs1jDUwlFaNX1gktXWGlw0DVCdi1jrPp4WGpWeHImShGtKsM1h1nGUkhdVOKM=
X-Received: by 2002:a17:90a:b38a:: with SMTP id
 e10mr2704928pjr.175.1619645191117; 
 Wed, 28 Apr 2021 14:26:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 28 Apr 2021 16:26:30 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <xjfy2d2yztr.fsf@HIDDEN>
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 <xjfy2d2yztr.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 28 Apr 2021 16:26:30 -0500
Message-ID: <CADwFkmn5wbbmEVwuT8BL-w8MdndxJTg5u7_bt3W9==9PFP-Jtw@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
To: Andrea Corallo <akrl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andrea Corallo <akrl@HIDDEN> writes:

> I'm wondering, is it a real issue not to have in .gitignore files that
> are showing up temporary?

That depends on your definition of "real issue", I suppose.  ;-)

For me it becomes a real issue because I'm used to be working in the
magit-status buffer while compiling, and that buffer shows all
uncommitted files at the top and any changes at the bottom.  It is
unsettling to have these files show up there occasionally as it makes
the changes "jump" up and down.

But perhaps the fix is as simple as:

diff --git a/.gitignore b/.gitignore
index fcbc9cd7f4..e27ebe36d0 100644
--- a/.gitignore
+++ b/.gitignore
@@ -135,6 +135,7 @@ src/gl-stamp
 *.dll
 *.core
 *.elc
+*.elc[0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z][0-9A-Za-z]
 *.eln
 *.o
 *.res




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 19:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 15:27:32 2021
Received: from localhost ([127.0.0.1]:54107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbpqO-0006g4-6t
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:27:32 -0400
Received: from mx.sdf.org ([205.166.94.24]:55781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbpqL-0006fv-J3
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:27:30 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13SJRS3J003695
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 28 Apr 2021 19:27:29 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
 <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
Date: Wed, 28 Apr 2021 19:27:28 +0000
In-Reply-To: <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
 (Stefan Kangas's message of "Wed, 28 Apr 2021 08:14:00 -0500")
Message-ID: <xjfy2d2yztr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: Eli Zaretskii <eliz@HIDDEN>, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Wed, 28 Apr 2021 15:10:43 +0300
>>> From: Eli Zaretskii <eliz@HIDDEN>
>>> Cc: 48079 <at> debbugs.gnu.org, akrl@HIDDEN
>>>
>>> >     lisp/emacs-lisp/cl-generic.elcsEFkYM
>>> >     lisp/emacs-lisp/lisp-mode.elcghtoKr
>>> >     lisp/emacs-lisp/macroexp.elco2VM6n
>>> >     lisp/emacs-lisp/nadvice.elcCtU6Tw
>>> >     lisp/emacs-lisp/syntax.elcM42AoI
>>> >     lisp/emacs-lisp/tabulated-list.elc0hWK4o
>>> >
>>> > These files show up in "git status" (in my case, more specifically, in
>>> > my `magit-status' buffer) if you run that command at the wrong time.
>>
>> Oh, you mean they appear momentarily, and then disappear?
>
> Correct, sorry for not being more clear.
>
>> But then it should also happen when a simple byte-compilation runs,
>> right?  IOW, it isn't specific to native-comp, right?
>
> Hmm, I have never noticed any such files before the native-comp merge
> but it is possible that they were there before.  They might just be
> staying around longer now, perhaps?

Nothing should be changed in this respect.

> I've now seen them several times over the last couple of days, whereas
> I've never seen them before, so something must have changed.

I'm wondering, is it a real issue not to have in .gitignore files that
are showing up temporary?

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 19:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 15:24:58 2021
Received: from localhost ([127.0.0.1]:54102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbpnt-0006c8-PN
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:24:57 -0400
Received: from mx.sdf.org ([205.166.94.24]:55945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbpnr-0006c0-9g
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:24:55 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13SJOrPX015938
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 28 Apr 2021 19:24:53 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
Date: Wed, 28 Apr 2021 19:24:53 +0000
In-Reply-To: <83y2d2fv6c.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 28 Apr
 2021 15:30:35 +0300")
Message-ID: <xjf35va1abe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48079
Cc: stefan@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Wed, 28 Apr 2021 15:10:43 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: 48079 <at> debbugs.gnu.org, akrl@HIDDEN
>> 
>> >     lisp/emacs-lisp/cl-generic.elcsEFkYM
>> >     lisp/emacs-lisp/lisp-mode.elcghtoKr
>> >     lisp/emacs-lisp/macroexp.elco2VM6n
>> >     lisp/emacs-lisp/nadvice.elcCtU6Tw
>> >     lisp/emacs-lisp/syntax.elcM42AoI
>> >     lisp/emacs-lisp/tabulated-list.elc0hWK4o
>> > 
>> > These files show up in "git status" (in my case, more specifically, in
>> > my `magit-status' buffer) if you run that command at the wrong time.
>
> Oh, you mean they appear momentarily, and then disappear?

Confirm

> But then it should also happen when a simple byte-compilation runs,
> right?  IOW, it isn't specific to native-comp, right?

Exacly, it's just that native takes longer to complete.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 13:14:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 09:14:10 2021
Received: from localhost ([127.0.0.1]:52042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbk13-0007Vk-Rn
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:14:10 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:40622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lbk10-0007Uz-8T
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:14:08 -0400
Received: by mail-pf1-f179.google.com with SMTP id a12so1393978pfc.7
 for <48079 <at> debbugs.gnu.org>; Wed, 28 Apr 2021 06:14:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=ysM22XNdudy+B4qIE91GrcGZWa91E5N6SHF4c78h1wQ=;
 b=UfTPYDO9UqIGGsnO4UDDvjwwTHL70R77oJ6nFQFqbDAgDLZnzxOSQJWQPhrKf9BDPJ
 cHDlLQ83gMaaxnHtQIu/2YXmoOJ1+lmcSn9Er+gt/+5iJDR3FnEAXFNo0VzxbsqrTj6a
 UkcL2LTgjovIGIB0KdfT1YAsw4XTQ6bc1CAUaiYDvo6DCYi66AV8OzmdusP5iqs6x53/
 grYp3ihKTp2s4wG9ftxeL6uSJcUkUiOYzD6nuC6Icy5QO0+DACn6RKaPC8ALFGaj0kxY
 JH6u+IbDnzv3+9nJ4SlPjT+piFphs6tqCZ4ZRRzoKxd0bNzqfjxOKfpVkVwXy+JfK7A3
 j/SQ==
X-Gm-Message-State: AOAM53226tK+Uyta4P81VjZ3jlTJIQGi9gvGDUJh/oCYLON+9caO8j4+
 Ytj0O22/BVFe3zKJTGzo3T76CLAgJWpAaTM0+zs=
X-Google-Smtp-Source: ABdhPJwc5h8Io6LUl80ZWNv8LaQumIChhhm3sYGbL65bjZsD6rJZcKJgbaaJl4NktiHywGmMUMkRxbA62ZDXKq+ITDk=
X-Received: by 2002:a05:6a00:238c:b029:274:70be:f085 with SMTP id
 f12-20020a056a00238cb029027470bef085mr18464005pfc.58.1619615640616; Wed, 28
 Apr 2021 06:14:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 28 Apr 2021 08:14:00 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83y2d2fv6c.fsf@HIDDEN>
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN> <83y2d2fv6c.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 28 Apr 2021 08:14:00 -0500
Message-ID: <CADwFkm=x7zfAhoQ2G1jgq5hZN7f1wcaTok=tNLGwYn8gbEonzw@HIDDEN>
Subject: Re: bug#48079: Temporary files while building after native-comp merge
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48079
Cc: akrl@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Wed, 28 Apr 2021 15:10:43 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: 48079 <at> debbugs.gnu.org, akrl@HIDDEN
>>
>> >     lisp/emacs-lisp/cl-generic.elcsEFkYM
>> >     lisp/emacs-lisp/lisp-mode.elcghtoKr
>> >     lisp/emacs-lisp/macroexp.elco2VM6n
>> >     lisp/emacs-lisp/nadvice.elcCtU6Tw
>> >     lisp/emacs-lisp/syntax.elcM42AoI
>> >     lisp/emacs-lisp/tabulated-list.elc0hWK4o
>> >
>> > These files show up in "git status" (in my case, more specifically, in
>> > my `magit-status' buffer) if you run that command at the wrong time.
>
> Oh, you mean they appear momentarily, and then disappear?

Correct, sorry for not being more clear.

> But then it should also happen when a simple byte-compilation runs,
> right?  IOW, it isn't specific to native-comp, right?

Hmm, I have never noticed any such files before the native-comp merge
but it is possible that they were there before.  They might just be
staying around longer now, perhaps?

I've now seen them several times over the last couple of days, whereas
I've never seen them before, so something must have changed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 12:30:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 08:30:57 2021
Received: from localhost ([127.0.0.1]:51974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbjLE-0006Sl-PM
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 08:30:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lbjLC-0006SX-E5
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 08:30:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42411)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lbjL7-0006OJ-34; Wed, 28 Apr 2021 08:30:49 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3369
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lbjL4-00048H-M0; Wed, 28 Apr 2021 08:30:47 -0400
Date: Wed, 28 Apr 2021 15:30:35 +0300
Message-Id: <83y2d2fv6c.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-Reply-To: <835z06hanw.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 28
 Apr 2021 15:10:43 +0300)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 <835z06hanw.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: akrl@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 28 Apr 2021 15:10:43 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 48079 <at> debbugs.gnu.org, akrl@HIDDEN
> 
> >     lisp/emacs-lisp/cl-generic.elcsEFkYM
> >     lisp/emacs-lisp/lisp-mode.elcghtoKr
> >     lisp/emacs-lisp/macroexp.elco2VM6n
> >     lisp/emacs-lisp/nadvice.elcCtU6Tw
> >     lisp/emacs-lisp/syntax.elcM42AoI
> >     lisp/emacs-lisp/tabulated-list.elc0hWK4o
> > 
> > These files show up in "git status" (in my case, more specifically, in
> > my `magit-status' buffer) if you run that command at the wrong time.

Oh, you mean they appear momentarily, and then disappear?

But then it should also happen when a simple byte-compilation runs,
right?  IOW, it isn't specific to native-comp, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at 48079 <at> debbugs.gnu.org:


Received: (at 48079) by debbugs.gnu.org; 28 Apr 2021 12:11:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 08:11:06 2021
Received: from localhost ([127.0.0.1]:51953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbj22-0005zH-Cm
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 08:11:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lbj20-0005yn-TE
 for 48079 <at> debbugs.gnu.org; Wed, 28 Apr 2021 08:11:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41980)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lbj1v-00043a-DP; Wed, 28 Apr 2021 08:10:59 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2143
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lbj1q-0005OM-Bc; Wed, 28 Apr 2021 08:10:57 -0400
Date: Wed, 28 Apr 2021 15:10:43 +0300
Message-Id: <835z06hanw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
 (message from Stefan Kangas on Wed, 28 Apr 2021 06:10:06 -0500)
Subject: Re: bug#48079: Temporary files while building after native-comp merge
References: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48079
Cc: akrl@HIDDEN, 48079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 28 Apr 2021 06:10:06 -0500
> Cc: Andrea Corallo <akrl@HIDDEN>
> 
> After the native-comp merge, I see temporary files like this while
> building:
> 
>     lisp/emacs-lisp/cl-generic.elcsEFkYM
>     lisp/emacs-lisp/lisp-mode.elcghtoKr
>     lisp/emacs-lisp/macroexp.elco2VM6n
>     lisp/emacs-lisp/nadvice.elcCtU6Tw
>     lisp/emacs-lisp/syntax.elcM42AoI
>     lisp/emacs-lisp/tabulated-list.elc0hWK4o
> 
> These files show up in "git status" (in my case, more specifically, in
> my `magit-status' buffer) if you run that command at the wrong time.
> 
> It would be nice if these files could be added to .gitignore or
> something so that one doesn't have to see them, even briefly.

This is due to some bug, so ignoring these files would not be TRT.
I have no such files, FWIW.

Can you tell by looking at the times of these files when they were
created? is that during your bootstrap following the merge of the
branch?  Is it possible some native-compilation crashed at some point
(in which case these files could be left behind)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Apr 2021 11:10:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 07:10:13 2021
Received: from localhost ([127.0.0.1]:51849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbi57-0002Nt-3v
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 07:10:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:51284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lbi54-0002Nl-R4
 for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 07:10:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37828)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lbi54-0005sW-HG
 for bug-gnu-emacs@HIDDEN; Wed, 28 Apr 2021 07:10:10 -0400
Received: from mail-pf1-f171.google.com ([209.85.210.171]:45650)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lbi52-0001FZ-Nd
 for bug-gnu-emacs@HIDDEN; Wed, 28 Apr 2021 07:10:10 -0400
Received: by mail-pf1-f171.google.com with SMTP id i190so3901013pfc.12
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Apr 2021 04:10:07 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=807oii93yyKPKWR3xcaz8bGGtEEVk+Qh+1KM8o70D6w=;
 b=OMtHwdyqKcq15nu+1MOyCUftuDZuYfxrRSTwPXAwEV1ZFrPVSpUIhNkbNUuVd3ioON
 m28DSI/tj0gpuzr5H8YXygWzq8ig9nFIfg0ZtUza3FWC1lEOX6+YHok++P+bHZzMyydj
 ThwvWMmnh1ZfYkxyb1dH1LCDlBYAH8LN59bwQSzvQe6tczq9LzdpmdkJQDcXhvyw1VhF
 AFfBjM95fDxtQvYdNP5hup03KsVNIUQLS4EcieWkvLa/ea6yN7IQbp8zF6tduuUBqViS
 Nmwc6WqQp3LI3glO8RxcrZqH4tGE7ksBwQcnxYIMqTrivNxTs6a+kYX7Vy0WYC8E5+bV
 8qmA==
X-Gm-Message-State: AOAM5317AuiW6aMONpI6ZP6s02hdmuYD1ueGPNDjW3M0ZJeo+4bQ9jxl
 vHH8m2F5OpDPPZScOHDQGoSNeRDOwP0Lvj2vYemspXi1
X-Google-Smtp-Source: ABdhPJw7lhIqYDrOpJ7AfNWMUNeEPe/HtY1k/JML+aHCaEMuuxkqwyMmIuABKyrR4g21lQnL7iI+aZkFIDZ1T84sKq4=
X-Received: by 2002:a63:942:: with SMTP id 63mr26906827pgj.67.1619608206809;
 Wed, 28 Apr 2021 04:10:06 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 28 Apr 2021 06:10:06 -0500
From: Stefan Kangas <stefan@HIDDEN>
X-Debbugs-CC: Andrea Corallo <akrl@HIDDEN>
MIME-Version: 1.0
Date: Wed, 28 Apr 2021 06:10:06 -0500
Message-ID: <CADwFkmnOufO-QhXw9KXS+0TVSVo6XTMQ85_oAgC_4mCz0rqHMg@HIDDEN>
Subject: Temporary files while building after native-comp merge
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.210.171;
 envelope-from=stefankangas@HIDDEN; helo=mail-pf1-f171.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: minor

After the native-comp merge, I see temporary files like this while
building:

    lisp/emacs-lisp/cl-generic.elcsEFkYM
    lisp/emacs-lisp/lisp-mode.elcghtoKr
    lisp/emacs-lisp/macroexp.elco2VM6n
    lisp/emacs-lisp/nadvice.elcCtU6Tw
    lisp/emacs-lisp/syntax.elcM42AoI
    lisp/emacs-lisp/tabulated-list.elc0hWK4o

These files show up in "git status" (in my case, more specifically, in
my `magit-status' buffer) if you run that command at the wrong time.

It would be nice if these files could be added to .gitignore or
something so that one doesn't have to see them, even briefly.




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to akrl@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to akrl@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#48079; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 May 2021 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.